[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.StartServer

Start the server

## Declaration

Source position: simpleipc.pp line 105

`public procedure TSimpleIPCServer.StartServer;`

## Description

StartServer starts the server side of the communication channel. It is called automatically when the Active property is set to True. It creates the internal communication object (a TIPCServerComm descendent) and activates the communication channel.

After this method was called, clients can connect and send messages.

Prior to calling this method, the ServerID property must be set.

## Errors

If an error occurs a EIPCError exception may be raised.

## See also

TIPCServerComm |  | Internal message communication component
Active |  | Communication channel active
ServerID |  | Unique server identification
StopServer |  | Stop the server

Documentation generated on: Feb 26 2014